/* General styles */
.page-template-template-checkout a:not(.button) {
  color: #191d34;
}

.page-template-template-checkout .testimonials__col.review-col .stars {
  color: #e1b575;
}

.page-template-template-checkout .usp-list--dark li .stars {
  color: #e1b575 !important;
}

.usp-list--dark li svg path {
  fill: #70a26a;
}

.page-template-template-checkout .alert--success p:before,
.page-template-template-checkout
  .woocommerce-notices-wrapper--success
  p:before {
  background-color: #70a26a;
}

.page-template-template-checkout input {
  font-size: 1.3rem !important;
}

/* Cart styles */
@media screen and (min-width: 769px) {
  .woocommerce-cart .cart_item > td {
    display: flex;
    align-items: center;
  }
}

.woocommerce-cart .shop_table td {
  vertical-align: middle;
}

/* Checkout styles */
.checkout-block .h3 {
  margin-bottom: 16px !important;
  font-size: 1.6rem !important;
  font-weight: 700 !important;
  line-height: 2rem !important;
}

.checkout-block img {
  max-width: 100%;
  height: auto;
}

.checkout-block > * + #customer_details {
  margin-top: 0 !important;
}

.page-template-template-checkout .woocommerce-billing-fields__field-wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.page-template-template-checkout form:not(.woocommerce-form-login) .form-row {
  display: inline-block;
  width: 100% !important;
}

.page-template-template-checkout #billing_house_number_field,
.page-template-template-checkout #billing_house_number_suffix_field {
  display: none !important;
}

.page-template-template-checkout form #billing_state_field {
  margin-bottom: 22px !important;
}

.page-template-template-checkout .woocommerce-additional-fields {
  display: none;
}

@media screen and (min-width: 576px) {
  .page-template-template-checkout #billing_first_name_field,
  .page-template-template-checkout #billing_last_name_field,
  .page-template-template-checkout #billing_company_field,
  .page-template-template-checkout #billing_country_field {
    display: inline-block !important;
    width: calc(50% - 8px) !important;
    margin-right: 0 !important;
    float: none !important;
  }

  .page-template-template-checkout .woocommerce-billing-fields .form-row input {
    width: 100% !important;
    font-size: 1.3rem !important;
  }
}

/* Payment methods styles */
.page-template-template-checkout
  form.woocommerce-checkout
  .woocommerce-checkout-payment
  input[type="radio"]
  + label {
  margin-bottom: 0;
}

form.woocommerce-checkout
  .woocommerce-checkout-payment
  input[type="radio"]:checked
  + label:before {
  background-color: transparent !important;
  background-image: url("data:image/svg+xml;utf8,%3Csvg%20width%3D%2216%22%20height%3D%2216%22%20viewBox%3D%220%200%2016%2016%22%20fill%3D%22none%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%0A%3Ccircle%20cx%3D%228%22%20cy%3D%228%22%20r%3D%228%22%20fill%3D%22%23CEAE74%22%2F%3E%0A%3Cpath%20d%3D%22M12%203.35146L6.86117%2012L4%209.18706L4.38746%208.70862L6.74424%2011.0264L11.5136%203L12%203.35146V3.35146Z%22%20fill%3D%22white%22%20stroke%3D%22white%22%20stroke-width%3D%220.5%22%20stroke-linejoin%3D%22round%22%2F%3E%0A%3C%2Fsvg%3E%0A");
  background-repeat: no-repeat;
  background-size: cover;
  border: 1px solid #ceae74 !important;
}

.page-template-template-checkout .wc_payment_methods li {
  display: flex;
  flex-wrap: wrap;
}

.page-template-template-checkout .wc_payment_methods li .payment_box {
  width: 100%;
  border: 1px solid #dfe2e6;
  padding: 1rem;
}

.page-template-template-checkout
  .wc_payment_methods
  li
  .payment_method_paypal
  p:first-child {
  margin-bottom: 0;
  padding: 0.75rem 0;
}

.page-template-template-checkout
  .wc_payment_methods
  li
  .wc-payment-form
  .form-row:not(.form-row-last) {
  margin-bottom: 1rem;
}

.page-template-template-checkout
  .wc_payment_methods
  li
  .wc-payment-form
  .form-row
  label {
  margin-bottom: 0.5rem;
}

.page-template-template-checkout .checkout-block--payment .inner-block ul {
  margin: 0;
}

body.woocommerce-cart .shop_table div.coupon {
  display: none !important;
}

.page-template-template-checkout
  .checkout-block--payment
  .inner-block
  p:nth-child(-n + 2) {
  display: none;
}

.page-template-template-checkout .payment_method_stripe .payment_box {
  padding-top: 1.75rem !important;
  padding-bottom: 0 !important;
}

.page-template-template-checkout .checkout-block--payment .btn--checkout {
  width: 50%;
}

.page-template-template-checkout .wc_payment_methods li input {
  height: 40px;
}

/* Login form styles */
.page-template-template-checkout
  .woocommerce-form-login
  > p:nth-of-type(4)
  > label {
  display: inline-block;
  width: auto;
  margin-top: 14px;
}

.page-template-template-checkout .lost_password {
  display: block;
  width: 100%;
  margin-top: 10px;
}

/* Empty cart */
.page-template-template-checkout .return-to-shop a {
  appearance: none;
  height: auto;
  padding: 1rem 1.5rem !important;
  border-radius: 4px;
  background: #cfae74 !important;
  border-color: #cfae74 !important;
  color: #fff !important;
  display: inline-block;
  font-weight: 400;
  text-align: center;
  vertical-align: middle;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  font-size: 1rem;
  line-height: 1.5;
}

.page-template-template-checkout .return-to-shop a:hover {
  background-color: #bc9f6b !important;
}

/* Cart cross sells */
.page-template-template-checkout
  .checkout-block
  .cross-sells
  .woocommerce-loop-product__link {
  width: 100% !important;
}

.woocommerce .cross-sells ul li a:last-child {
  display: none !important;
}

body.woocommerce-order-received .checkout-block {
  margin-top: 16px;
}

@media screen and (min-width: 992px) {
  body.woocommerce-order-received .checkout-block {
    margin-top: 48px;
  }
}

/** Hide stuff **/

.page-template-template-checkout
  .checkout-block
  .cross-sells
  .product-column
  .add-to-cart-container:not(:first-of-type) {
  display: none;
}

.page-template-template-checkout
  #checkout-form
  .sidebar-cart
  .checkout-block:first-of-type
  p:nth-child(2) {
  display: none !important;
}

.page-template-template-checkout header .usp-list {
  display: none;
}

.checkout-block--share {
  display: none !important;
}

/** Order bump */
.wfob_wrap_start {
  margin-bottom: 0;
}

.wfob_wrap_start:not(:first-of-type) {
  margin-top: 1.5rem;
}

.wfob_bump {
  border: 1px solid #f3f3f3 !important;
}

.wfob_img_box {
  width: 15px !important;
}

.wfob_price {
  font-weight: 600 !important;
}

.wfob_text_inner {
  font-size: 15px;
}

.wfob_blink_img_wrap {
  display: none !important;
}

.wfob_bump_checkbox {
  padding-left: 0 !important;
}

.wfob_title {
  cursor: pointer !important;
}

.wfob_bump h2 {
  font-size: 22px;
  line-height: 30px;
}

.wfob_price ins {
  color: #525566 !important;
}

@media screen and (max-width: 578px) {
  .wfob_pro_img_wrap {
    width: 100% !important;
  }

  .wfob_price_container {
    padding-left: 24px !important;
  }

  .wfob_title {
    padding-left: 10px !important;
  }
}

@media (max-width: 767px) and (min-width: 579px) {
  .wfob_contentBox {
    display: flex;
  }

  .wfob_pro_img_wrap {
    width: 150px !important;
  }

  .wfob_pro_txt_wrap {
    width: calc(100% - 150px);
    padding-left: 10px;
  }

  .wfob_price {
    text-align: right;
  }
}

/* Coupon - Re-enabled for coupon integration */
/* .coupon {
  display: none !important;
} */

/* Footer */
#wrapper-footer {
  background: #444654;
  padding-top: 35px;
  padding-bottom: 25px;
  padding-left: 15px;
  padding-right: 15px;
  color: #e8e8ea;
  font-size: 14px;
}

#billing_phone_field .woocommerce-input-wrapper {
  display: flex !important;
  justify-content: space-between !important;
  width: 100%;
}

#billing_phone_country_field {
  width: calc(25% - 4px) !important;
  margin-right: 4px;
}

#billing_phone_field {
  width: 75% !important;
}

#billing_phone_field > label {
  opacity: 0;
}

.confirm-block--order .active-memberships {
  display: none;
}

.payment_method_fkwcs_stripe label {
  display: flex !important;
  flex-wrap: nowrap !important;
  align-items: center !important;
  justify-content: space-between !important;
  white-space: nowrap !important;
}

.fkwcs_stripe_icons {
  display: flex !important;
  padding-left: 1rem;
}

.fkwcs_stripe_icons img {
  position: relative !important;
  top: 0 !important;
  transform: none !important;
  height: auto !important;
  width: 100% !important;
  flex: 1 1 auto !important;
  max-width: 38px !important;
  object-fit: contain !important;
  min-width: 0 !important;
  right: auto !important;
}

#fkwcs-expresscheckout-fieldset {
  border-radius: 0 !important;
  min-height: 0 !important;
  background-color: #fff !important;
}

#fkwcs-expresscheckout-fieldset legend {
  display: none !important;
}

#fkwcs-payment-request-separator {
  display: none !important;
}

.page-template-template-checkout
  .woocommerce-billing-fields
  .kl_newsletter_checkbox_field
  label,
.page-template-template-checkout
  .woocommerce-billing-fields
  .kl_sms_consent_checkbox_field
  label {
  display: inline-flex !important;
  align-items: center !important;
  padding-left: 0 !important;
  gap: 0.5rem !important;
}

.page-template-template-checkout
  .woocommerce-billing-fields
  .kl_newsletter_checkbox_field
  label
  span,
.page-template-template-checkout
  .woocommerce-billing-fields
  .kl_sms_consent_checkbox_field
  label
  span {
  color: #444 !important;
}

.page-template-template-checkout
  .woocommerce-billing-fields
  .kl_newsletter_checkbox_field.form-row
  input,
.page-template-template-checkout
  .woocommerce-billing-fields
  .kl_sms_consent_checkbox_field.form-row
  input {
  display: inline-block !important;
  width: 1.2rem !important;
  height: 1.2rem !important;
  position: relative !important;
  border: 1px solid #ceae74 !important;
  z-index: 1 !important;
  opacity: 1 !important;
  appearance: none;
}

.page-template-template-checkout
  .woocommerce-billing-fields
  .kl_newsletter_checkbox_field.form-row
  input:checked,
.page-template-template-checkout
  .woocommerce-billing-fields
  .kl_sms_consent_checkbox_field.form-row
  input:checked {
  background-color: #ceae74;
}

.page-template-template-checkout
  .woocommerce-billing-fields
  .kl_newsletter_checkbox_field.form-row
  input:checked::after,
.page-template-template-checkout
  .woocommerce-billing-fields
  .kl_sms_consent_checkbox_field.form-row
  input:checked::after {
  content: "";
  position: absolute;
  left: 50%;
  top: 50%;
  width: 1rem;
  height: 1rem;
  transform: translate(-50%, -50%);
  background-image: url("data:image/svg+xml;utf8,%3Csvg%20width%3D%2216%22%20height%3D%2216%22%20viewBox%3D%220%200%2016%2016%22%20fill%3D%22none%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%0A%3Ccircle%20cx%3D%228%22%20cy%3D%228%22%20r%3D%228%22%20fill%3D%22%23CEAE74%22%2F%3E%0A%3Cpath%20d%3D%22M12%203.35146L6.86117%2012L4%209.18706L4.38746%208.70862L6.74424%2011.0264L11.5136%203L12%203.35146V3.35146Z%22%20fill%3D%22white%22%20stroke%3D%22white%22%20stroke-width%3D%220.5%22%20stroke-linejoin%3D%22round%22%2F%3E%0A%3C%2Fsvg%3E%0A");
  background-repeat: no-repeat;
  background-size: cover;
}

.kl_newsletter_checkbox_field label,
.kl_sms_consent_checkbox_field label {
  display: inline-flex !important;
  align-items: center !important;
  padding-left: 0 !important;
  gap: 0.5rem !important;
}

.kl_newsletter_checkbox_field label span,
.kl_sms_consent_checkbox_field label span {
  color: #444 !important;
}

#tabpanel-2 .kl_newsletter_checkbox_field.form-row input,
#tabpanel-2 .kl_sms_consent_checkbox_field.form-row input {
  display: inline-block !important;
  width: 1.2rem !important;
  height: 1.2rem !important;
  position: relative !important;
  border: 1px solid #ceae74 !important;
  z-index: 1 !important;
  opacity: 1 !important;
  appearance: none;
}

.kl_newsletter_checkbox_field.form-row input:checked,
.kl_sms_consent_checkbox_field.form-row input:checked {
  background-color: #ceae74;
}

.kl_newsletter_checkbox_field.form-row input:checked::after,
.kl_sms_consent_checkbox_field.form-row input:checked::after {
  content: "";
  position: absolute;
  left: 50%;
  top: 50%;
  width: 1rem;
  height: 1rem;
  transform: translate(-50%, -50%);
  background-image: url("data:image/svg+xml;utf8,%3Csvg%20width%3D%2216%22%20height%3D%2216%22%20viewBox%3D%220%200%2016%2016%22%20fill%3D%22none%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%0A%3Ccircle%20cx%3D%228%22%20cy%3D%228%22%20r%3D%228%22%20fill%3D%22%23CEAE74%22%2F%3E%0A%3Cpath%20d%3D%22M12%203.35146L6.86117%2012L4%209.18706L4.38746%208.70862L6.74424%2011.0264L11.5136%203L12%203.35146V3.35146Z%22%20fill%3D%22white%22%20stroke%3D%22white%22%20stroke-width%3D%220.5%22%20stroke-linejoin%3D%22round%22%2F%3E%0A%3C%2Fsvg%3E%0A");
  background-repeat: no-repeat;
  background-size: cover;
}

.checkout-form-holder #tabpanel-2 .kl_newsletter_checkbox_field label,
.checkout-form-holder #tabpanel-2 .kl_sms_consent_checkbox_field label {
  margin: 0 !important;
}

.show-password-input {
  display: none;
}
